> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://apidocs.polytomic.com/2023-04-25/configuring-your-connections/connections/api/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server. # HTTP API Supports: * ✅ Models ## Connection ### Configuration
NameTypeDescriptionRequired
auth object Authentication method false
body string JSON payload false
headers array Headers false
healthcheck string Health check endpoint

Path to request when checking the health of this connection. No health check will be performed if left empty.
false
parameters array Query string parameters false
url string Base URL true
#### Example ```json { "name": "HTTP API connection", "type": "api", "configuration": { "auth": { "basic": { "password": "secret", "username": "user@example.com" }, "header": { "name": "foo", "value": "bar" }, "oauth": { "auth_style": 0, "client_id": "client_id", "client_secret": "client_secret", "extra_form_data": [ { "name": "foo", "value": "bar" } ], "scopes": [ {} ], "token_endpoint": "https://example.com/oauth/token" }, "query": [ { "name": "foo", "value": "bar" } ] }, "body": "{\"key\":\"value\"}", "headers": [ { "name": "foo", "value": "bar" } ], "healthcheck": "https://example.com/healthz", "parameters": [ { "name": "foo", "value": "bar" } ], "url": "https://example.com" } } ``` ## Model Sync ### Source #### Configuration
NameTypeDescriptionRequired
body string Request body false
headers object Headers false
method string Method

Accepted values: `GET`, `POST`
true
pagination object Pagination false
parameters object Parameters false
path string Path false
record_path string Record JSON path false
sampleResponse string API response false
#### Example ```json { ... "configuration": { "body": "", "headers": {}, "method": "", "pagination": {}, "parameters": {}, "path": "", "record_path": "", "sampleResponse": "" } } ```